Deployments.ai Docs
Tools

List code-owned platform tools with their default policy

GET /v1/tools · SDK listTools · CLI deployments tool list

GET
/v1/tools

Requires tools:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100
providerKey?string

Only tools bound to this provider key.

Length1 <= length <= 128
prefix?string

Only tools whose name starts with this prefix.

Length1 <= length <= 128
status?string

Catalog status; defaults to active.

Value in"active""archived""all"
search?string

Case-insensitive substring of the tool name or description.

Length1 <= length <= 100

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListToolsResponse

application/json
  1. response
items*array<>
nextCursor*string|null
curl -X GET "https://example.com/v1/tools" \  -H "x-deployments-environment: string"
{  "items": [    {      "approvalRequired": true,      "category": "string",      "defaultPolicyAction": "allow",      "description": "string",      "effect": "execute",      "name": "string",      "policyBinding": "catalog",      "providerKey": "string",      "requiredScopes": [        "string"      ],      "route": "string",      "status": "active"    }  ],  "nextCursor": "string"}